﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Unitronics.ComDriver;
using Unitronics.RemoteOperator;
using System.Diagnostics;

namespace Unitronics.RemoteOperatorExample
{
    public partial class RemoteOperatorExample : Form
    {
        #region Public

        public RemoteOperatorExample()
        {
            InitializeComponent();
            comboBoxViewMode.SelectedIndex = 0;
        }
     
        #endregion


        private void Start_Click(object sender, EventArgs e)
        {
            remoteDisplay1.UseCacheFile = true;
            remoteDisplay1.Run();
        }

        private void Stop_Click(object sender, EventArgs e)
        {
            remoteDisplay1.Stop();
        }

        private void getPLC_Click(object sender, EventArgs e)
        {
            try
            {
                int unitId = 0;
                Serial serial = new Serial(SerialPortNames.COM1, BaudRate.BR115200, 3, 3000, DataBits.DB8, System.IO.Ports.Parity.None, System.IO.Ports.StopBits.One);
                PLC plc = PLCFactory.GetPLC(serial, unitId);
                this.remoteDisplay1.Plc = plc;           
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void clearPLC_Click(object sender, EventArgs e)
        {
            try
            {
                remoteDisplay1.Plc = null;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

        private void comboBoxViewMode_SelectedIndexChanged(object sender, EventArgs e)
        {
            ComboBox cmb = sender as ComboBox;
            switch (cmb.SelectedIndex)
            {
                case 0:
                    remoteDisplay1.ViewMode = Unitronics.RemoteOperator.en_ViewMode.DisplayOnly;
                    break;
                case 1:
                    remoteDisplay1.ViewMode = Unitronics.RemoteOperator.en_ViewMode.DisplayWithCase;
                    break;
                default:
                    remoteDisplay1.ViewMode = Unitronics.RemoteOperator.en_ViewMode.DisplayOnly;
                    break;
            }
        }
    }
}
